services:

  commercial_main_mongo_service:
    container_name: commercial_main_mongo_service
    image: "bitnami/mongodb:latest"
#    image: "bitnami/mongodb:4.4.1-debian-10-r3"
    networks:
      - network_store_services
    restart: on-failure
    env_file:
      - commercial_main_mongo_service.env
    volumes:
      - wag_commercial_mongodb_main_data:/bitnami/mongodb
    ports:
      - "11777:27017"

  commercial_main_memory_service:
    container_name: commercial_main_memory_service
    image: 'bitnami/redis:latest'
    networks:
      - network_store_services
    restart: on-failure
    env_file:
      - commercial_main_memory_service.env
    ports:
      - "11222:6379"

  postgres_main_commercial:
    image: 'bitnami/postgresql:latest'
    container_name: postgres_main_commercial
    networks:
      - network_store_services
    restart: on-failure
    env_file:
      - postgres_main_commercial.env
    depends_on:
      - commercial_mongo_service
    ports:
      - "5444:5432"
    volumes:
      - wag_postgres_main_commercial_data:/bitnami/postgresql

networks:
  network_store_services:

volumes:
  wag_postgres_main_commercial_data:
  wag_commercial_mongodb_main_data:
